Skip to main content
GET
List a stack's restore points

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cluster_id
string<uuid>
required

The imported cluster.

stack_name
string
required

The stack's name on the cluster.

Query Parameters

limit
integer

Restore points per page.

Required range: 1 <= x <= 200
cursor
string

The next_cursor of the previous page.

status
enum<string>[]

Only these statuses; repeated or comma-separated.

Available options:
creating,
complete,
failed,
expiring,
expired,
deleted
trigger
enum<string>[]

Only these triggers; repeated or comma-separated.

Available options:
manual,
scheduled,
clone,
migrate,
pre_restore,
verification
backup_vault_id
string<uuid>

Only restore points in this vault.

Response

One page of restore points.

restore_points
object[]
required
next_cursor
string | null
required

Pass back as cursor for the next page; null on the last page.